Bug 804917 - Please make Book_Info.xml and Revision_History.xml optional
Please make Book_Info.xml and Revision_History.xml optional
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
All All
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
Misty Stanley-Jones
:
Depends On:
Blocks: 820023
  Show dependency treegraph
 
Reported: 2012-03-20 03:32 EDT by Raphaël Hertzog
Modified: 2014-06-18 03:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raphaël Hertzog 2012-03-20 03:32:10 EDT
It would be nice if publican could do without Book_Info.xml and Revision_History.xml. The former would then be merged in the main XML document and the latter would simply not exist.

This would make it easier to use publican to generate documentation out of a random docbook file. It would also make it easier to convert an existing document to Publican.

(Bug filed as per request in <4F682EDE.5060403@redhat.com> on the list)
Comment 1 Jeff Fearn 2012-06-24 04:50:01 EDT
Added info_file parameter to allow overriding where to look for info fields.

Added rev_file parameter to allow overriding where to look for revision history.

Both fields go in the Publican cfg file and need the full name of the file without the path. .e.g. "test.xml" not "en-US/test.xml" not "test".

For books that don't contain a revision history at all, the new add_revision action is a quick way of getting a structure Publican will be happy with, you don't have to xi:include the new file for Publican to use it.

To ssh://git.fedorahosted.org/git/publican.git
   a8b827b..bcedf1e  master -> master
Comment 2 Misty Stanley-Jones 2012-06-29 01:17:54 EDT
Test method:

1. Create new book
2. Copy XML from Revision_History.xml to the appropriate part of my test book's main XML file (starting from <appendix> and ending with </appendix>)
3. Add the following to publican.cfg: rev_file: <bookname>.xml
4. Remove Revision_History.xml and its xi:include from the book's main XML file
5. Build the book

Result: Success

Similar test for info_file: Success

I'm happy to verify this.

Note You need to log in before you can comment on or make changes to this bug.